Subject: Re: Problems with dma_alloc_coherent()

From: Eugene Surovegin <[email-masked]>
Date: Thu, 1 Apr 2004 11:17:15 -0800

On Thu, Apr 01, 2004 at 02:10:00PM -0500, John Whitney wrote:
> >I think we should use "device" parameter passed to DMA API for such
> >stuff, it
> >already has a member "struct bus_type* bus".
> >
>
> This effectively makes the DMA API a superset of the PCI DMA API (the
> DMA API would recognize a PCI device, and handle it accordingly)?

Yes, I think it's a goal.

> It
> sounds like a good solution to me, although I'd like to see the
> "device" structure get that DMA offset I mentioned, so the DMA API
> wouldn't have to have a special case for each new bus-type added (PLB,
> PCI, OCP, CPM, whatever), as it does now for PCI vs. non-PCI.  (That
> assumes bus offset is the only difference that needs to be handled...)

I think we should add such info to a structure which describes the _bus_, not
_device_.
I'm not "new-device-model" guru, so I cannot comment _how_ this can be
implemented though :)

Eugene.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/